Bug 244099 - [PATCH] net/ceph14: upgrade to 14.2.7 with dashboard
Summary: [PATCH] net/ceph14: upgrade to 14.2.7 with dashboard
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-13 15:08 UTC by Willem Jan Withagen
Modified: 2020-04-29 06:08 UTC (History)
3 users (show)

See Also:


Attachments
Patch file to get to 14.2.7 (43.12 KB, patch)
2020-02-13 15:08 UTC, Willem Jan Withagen
no flags Details | Diff
patch-v2 (10.54 KB, patch)
2020-02-18 16:46 UTC, Kurt Jaeger
no flags Details | Diff
patch-v3 (43.67 KB, patch)
2020-02-18 18:26 UTC, Kurt Jaeger
pi: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Willem Jan Withagen 2020-02-13 15:08:50 UTC
Created attachment 211616 [details]
Patch file to get to 14.2.7

SVN commands:
svn add pkg-message
svn add files/file-newsyslog_ceph-log.conf
svn add files/patch-src_pybind_mgr_diskprediction_cloud_common___init__.py
svn del files/patch-src_tools_rbd-ggate_main.cc

Has gone thru portlint -A and poudriere testport with no errors.

Ports difference:
Added ppkg-message with information on how to install the Ceph dashboard

Ceph upgrade info:
This is the seventh update to the Ceph Nautilus release series. This is a hotfix release primarily fixing a couple of security issues. We recommend that all users upgrade to this release.
Comment 1 Kurt Jaeger freebsd_committer 2020-02-17 15:15:32 UTC
testbuilds@work
Comment 2 Kurt Jaeger freebsd_committer 2020-02-17 21:13:21 UTC
Testbuild failed (due to local circumstances), because it requires py-numpy,
which had OPENBLAS=off, which caused the build with NETLIB, which installs
cblas, and /usr/local/include/cblas.h, which conflicts with the openblas file
with the same name.

New testbuilds@work.
Comment 3 Kurt Jaeger freebsd_committer 2020-02-17 21:26:33 UTC
Next problem:

===>  Applying FreeBSD patches for ceph14-14.2.7
1 out of 1 hunks failed--saving rejects to src/pybind/mgr/diskprediction_cloud/common/__init__.py.rej
=> FreeBSD patch patch-src_pybind_mgr_diskprediction_cloud_common___init__.py failed to apply cleanly.

due to some mixup with ^M characters in the source (and none in the patch file).

New run tomorrow morning (CET)
Comment 4 Kurt Jaeger freebsd_committer 2020-02-17 21:58:33 UTC
Now it needs www/npm ?
Comment 5 Willem Jan Withagen 2020-02-18 00:05:13 UTC
(In reply to Kurt Jaeger from comment #4)

> it needs www/npm?

Eh, yes and no....

no: it does not need it to run everything that is in the port, but the port is incomplete.... and www/npm is needed to install the missing parts.

yes: Ceph has a dashboard that is installed using npm, and either we ask users to install npm first, and then the dashboard. Or we add npm as dependancy so that the user does not have to do it manually.

If we do not include it in the dependancies, than it needs to be added as extra instruction in pkg-message.
Comment 6 Kurt Jaeger freebsd_committer 2020-02-18 16:46:32 UTC
Created attachment 211744 [details]
patch-v2

This patch builds on current. Can you have a look ?
Comment 7 Kurt Jaeger freebsd_committer 2020-02-18 16:46:51 UTC
One thing:

svn: E135000: File '/home/pi/m/net/ceph14/files/patch-src_pybind_mgr_diskprediction_cloud_common___init__.py' has inconsistent newlines
svn: E135000: Inconsistent line ending style
svn: E200042: Additional errors:
Comment 8 Kurt Jaeger freebsd_committer 2020-02-18 18:26:50 UTC
Created attachment 211746 [details]
patch-v3

This one fixes the CR-LF bug in the patch file.
Comment 9 Kurt Jaeger freebsd_committer 2020-02-18 18:30:17 UTC
testbuilds: fine on current, 12.1, 11.3.
Comment 10 Willem Jan Withagen 2020-02-19 11:07:40 UTC
(In reply to Kurt Jaeger from comment #9)

I'm fine with the proposed changes.
So if you want to commit, thanx.
Comment 11 Kurt Jaeger freebsd_committer 2020-02-19 11:21:30 UTC
Committed, thanks! Can you provide a vuxml entry for the two CVEs ?
Comment 12 commit-hook freebsd_committer 2020-02-19 11:22:21 UTC
A commit references this bug:

Author: pi
Date: Wed Feb 19 11:21:29 UTC 2020
New revision: 526506
URL: https://svnweb.freebsd.org/changeset/ports/526506

Log:
  net/ceph14: upgrade 14.2.4 -> 14.2.7

  PR:		244099
  Submitted by:	Willem Jan Withagen <wjw@digiware.nl> (maintainer)
  Relnotes:	https://ceph.io/releases/v14-2-5-nautilus-released/
  		https://ceph.io/releases/v14-2-6-nautilus-released/
  		https://ceph.io/releases/v14-2-7-nautilus-released/
  Security:	CVE-2020-1699, CVE-2020-1700
  MFH:		2020Q1
  Sponsored by:	Nepustil.net

Changes:
  head/net/ceph14/Makefile
  head/net/ceph14/distinfo
_U  head/net/ceph14/files/do_freebsd.sh
  head/net/ceph14/files/file-git_version
  head/net/ceph14/files/file-newsyslog_ceph-log.conf
  head/net/ceph14/files/patch-cmake_modules_FindPython3Interp.cmake
  head/net/ceph14/files/patch-cmake_modules_FindPython3Libs.cmake
  head/net/ceph14/files/patch-src_pybind_mgr_diskprediction_cloud_common___init__.py
  head/net/ceph14/files/patch-src_tools_rbd-ggate_main.cc
  head/net/ceph14/pkg-message
  head/net/ceph14/pkg-plist